Bug 103712 - Soundcard failure after 2.4.20 kernel upgrade
Soundcard failure after 2.4.20 kernel upgrade
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-04 01:05 EDT by Dan Devine
Modified: 2007-04-18 12:57 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Devine 2003-09-04 01:05:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4) Gecko/20030807

Description of problem:
Hi,

after upgrading to the 2.4.20 kernel (from 2.4.18 series), my soundcard stopped
working.  This occured orig. under RH8.  I updated to RH9 thinking this may
solve the problem, but it did not change anything.  I am running 1.1ghz Athlon
on MST K7T266 Pro-RU. My soundcard is a S3SonicVibes type.


redhat-config-soundcard does not work, and reports an error where previously it
worked.


See attached log/text files for various info.

Thanks,

DD


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install new kernel
2. Restart machine
3. run redhat-config-soundcard
    

Actual Results:  [danny@Archie danny]$ redhat-config-soundcard
/lib/modules/2.4.20-20.9/kernel/drivers/sound/sonicvibes.o: init_module: No such
device
Hint: insmod errors can be caused by incorrect module parameters, including
invalid IO or IRQ parameters.
      You may find more information in syslog or the output from dmesg
/lib/modules/2.4.20-20.9/kernel/drivers/sound/sonicvibes.o: insmod
/lib/modules/2.4.20-20.9/kernel/drivers/sound/sonicvibes.o failed
/lib/modules/2.4.20-20.9/kernel/drivers/sound/sonicvibes.o: insmod sonicvibes failed
[danny@Archie danny]$


Expected Results:  Soundcard should have been recognized as it had previously
with fresh install of RH8

Additional info:

[danny@Archie danny]$ /sbin/lspci
00:00.0 Host bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333]
00:01.0 PCI bridge: VIA Technologies, Inc. VT8366/A/7 [Apollo KT266/A/333 AGP]
00:0c.0 Ethernet controller: 3Com Corporation 3c905C-TX/TX-M [Tornado] (rev 78)
00:0d.0 Multimedia audio controller: S3 Inc. SonicVibes
00:11.0 ISA bridge: VIA Technologies, Inc. VT8233 PCI to ISA Bridge
00:11.1 IDE interface: VIA Technologies, Inc. VT82C586/B/686A/B PIPC Bus Master
IDE (rev 06)
00:11.2 USB Controller: VIA Technologies, Inc. USB (rev 1b)
00:11.3 USB Controller: VIA Technologies, Inc. USB (rev 1b)
00:11.4 USB Controller: VIA Technologies, Inc. USB (rev 1b)
01:00.0 VGA compatible controller: ATI Technologies Inc 3D Rage IIC AGP (rev 7a)
[danny@Archie danny]$
[danny@Archie danny]$ dmesg
 
PCI: Found IRQ 11 for device 00:0d.0
PCI: Sharing IRQ 11 with 01:00.0
PCI: Failed to allocate resource 7(0-1f) for 00:0d.0
sv: cannot allocate DDMA controller io ports
sv: version v0.31 time 11:33:00 Aug 18 2003
PCI: Found IRQ 11 for device 00:0d.0
PCI: Sharing IRQ 11 with 01:00.0
PCI: Failed to allocate resource 7(0-1f) for 00:0d.0
sv: cannot allocate DDMA controller io ports
sv: version v0.31 time 11:33:00 Aug 18 2003
PCI: Found IRQ 11 for device 00:0d.0
Comment 1 Bugzilla owner 2004-09-30 11:41:30 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.